petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionRestoreFieldPointSyms

Restore the symmetries returned by PetscSectionGetFieldPointSyms()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionRestoreFieldPointSyms(PetscSection section, PetscInt field, PetscInt numPoints, const PetscInt *points, const PetscInt ***perms, const PetscScalar ***rots)

Not collective

### Input Parameters

| section | - the section
| field | - the field number
| numPoints | - the number of points
| points | - an array of size 2 * numPoints, containing a list of (point, orientation) pairs. (An orientation is an arbitrary integer: its interpretation is up to sym. Orientations are used by DM: for their interpretation in that context, see DMPlexGetConeOrientation()).

### Output Parameter

| perms | - The permutations for the given orientations: set to NULL at conclusion
| rots | - The field rotations symmetries for the given orientations: set to NULL at conclusion

### See Also

PetscSectionRestorePointSyms(), petscSectionGetFieldPointSyms(), PetscSectionSymCreate(), PetscSectionSetSym(), PetscSectionGetSym()

### Level

developer

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages